#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>


extern HANDLE __hInstance;
long far pascal __WndProc( HWND, WORD, WORD, LONG );

CLIPPER CHANGEPROC()
{
   FARPROC WndProc = MakeProcInstance( ( FARPROC ) __WndProc, __hInstance );

   _retnl( SetWindowLong( _parni( 1 ), GWL_WNDPROC, ( LONG ) WndProc ) );
}

CLIPPER RESTPROC()
{
   SetWindowLong( _parni( 1 ), GWL_WNDPROC, _parnl( 2 ) );
}
